Summary:	Pentax PocketJet Printer Driver
Name:		pentaxpj
Version:	1.0.0
Release:	%mkrel 19
License:	GPL
Group:		System/Printing
URL:		https://www.pragana.net/gdiprinters.html
Source0:	https://www.pragana.net/%{name}-%{version}.tar.gz
Patch0:		pentaxpj-glibc28_fix.diff
Patch1:		pentaxpj-1.0.0-LDFLAGS.diff

%description
Pentax PocketJet Printer Driver for the families:

 o PocketJet II
 o PocketJet 200.

%prep

%setup -q -n %{name}
%patch -P 0 -p0
%patch -P 1 -p0

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done
    
%build

%make_build CFLAGS="%{optflags} -DLONG_FORM_FEED" LDFLAGS="%{ldflags}"

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_libdir}/pentaxpj
install -d %{buildroot}%{_sysconfdir}

cp -a BWidget-1.3.1 pentaxpj pentaxsetup pentax.xpm test-page.ps.gz %{buildroot}%{_libdir}/pentaxpj
ln -s %{_libdir}/pentaxpj/pentaxsetup %{buildroot}%{_sbindir}
ln -s %{_libdir}/pentaxpj/pentaxpj %{buildroot}%{_bindir}
cat > %{buildroot}%{_sysconfdir}/pentaxpj.conf <<EOF
#
set settings(driverpath) %{_libdir}/pentaxpj
EOF

%files
%defattr(-,root,root,0755)
%doc README
%{_libdir}/pentaxpj
%config(noreplace) %{_sysconfdir}/pentaxpj.conf
%defattr(0755,root,root,0755)
%{_bindir}/pentaxpj
%{_sbindir}/pentaxsetup




%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.0.0-19.mga10
+ Revision: 2128015
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 1.0.0-18.mga9
+ Revision: 1792228
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.0-17.mga8
+ Revision: 1515859
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-16.mga7
+ Revision: 1300165
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Thu Feb 04 2016 umeabot <umeabot> 1.0.0-15.mga6
+ Revision: 934419
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-14.mga5
+ Revision: 743716
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-13.mga5
+ Revision: 683405
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-12.mga4
+ Revision: 509055
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-11.mga3
+ Revision: 362753
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 23 2011 ennael <ennael> 1.0.0-10.mga1
+ Revision: 57978
- clean spec file
- imported package pentaxpj

